from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.buyers.gift_cards.list(order_by="desc")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.buyers.giftCards.list();
console.log(result);
}
run();
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.buyers.gift_cards.list(order_by="desc")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.buyers.giftCards.list();
console.log(result);
}
run();
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0069ED","light":"#4D9CFF","dark":"#0050B4"},"logo":{"light":"https://mintcdn.com/gr4vy/C-VHOwze1nsWvoIJ/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=C-VHOwze1nsWvoIJ\u0026q=85\u0026s=da88f997af34e79b3e79f3709aae9644","dark":"https://mintcdn.com/gr4vy/C-VHOwze1nsWvoIJ/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=C-VHOwze1nsWvoIJ\u0026q=85\u0026s=27b89279857756a5f227a13ee0a1b189"},"favicon":"https://mintcdn.com/gr4vy/XLLN6HK99HRHXH0y/assets/favicon.png?fit=max\u0026auto=format\u0026n=XLLN6HK99HRHXH0y\u0026q=85\u0026s=116d274b5cd8ceb0c7117eb1a816f49c","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.{gr4vy_id}.gr4vy.app","https://api.{gr4vy_id}.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"gr4vy","hasAudioNarration":false,"actualSubdomain":"gr4vy","customDomains":["docs.gr4vy.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"gr4vy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae0c2316f3f3032700d265b","collectionId":"83a730c0-db26-4888-98de-16a9975e9dd1","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae0c2316f3f3032700d265b"},"feedback":{"thumbs":false,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0c2316f3f3032700d265b","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"Build","count":180},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":76},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":45},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@gr4vy.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/gift-cards/list-buyer-gift-cards","slug":"/reference/gift-cards/list-buyer-gift-cards","pageMetadata":{"openapi":"openapi.speakeasy.json GET /buyers/gift-cards","title":"List gift cards for a buyer","description":"List all the stored gift cards for a specific buyer.","href":"/reference/gift-cards/list-buyer-gift-cards"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List all the stored gift cards for a specific buyer.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`gift-cards.read`}),` or `,_jsx(_components.code,{children:`embed`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /buyers/gift-cards","title":"List gift cards for a buyer","description":"List all the stored gift cards for a specific buyer.","href":"/reference/gift-cards/list-buyer-gift-cards"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Buyers - Gift cards"],"summary":"List gift cards for a buyer","description":"List all the stored gift cards for a specific buyer.","operationId":"list_buyer_gift_cards","parameters":["52b4e869-2718-45ac-968e-43be1ecad83d","0b544819-6449-4d0f-9647-db89716870b0","88ef5d06-6d26-4fae-8bfd-39a0614b6d1b","a5d41380-7017-4630-a97e-443af8829fa7","c4ab1975-b1be-4f1d-a885-b52799b3acdc"],"responses":{"200":"9e065d2f-3138-40bb-a818-f175f2f1c258","400":"72b779a3-8917-43ef-9a8e-e40855a2d031","401":"d8105a7e-586f-4920-b045-43270550d794","403":"14a9a11b-d77a-4096-b944-a2d24d298a57","404":"69f84a17-2922-46c6-aca3-c7dedbe48868","405":"09e28061-caf7-44d8-b85e-0937665d5a18","409":"b9503739-eb81-4d4a-a268-16bf9221c2fe","422":"2d3ff73a-7e8c-4308-93c7-4e3319124e4a","425":"d9229448-7a06-48d3-949b-7a3b5fd4d0e4","429":"cd3089a9-bae1-4e0d-b200-c4563804d7c4","500":"9df162ea-1aa8-4267-ab22-5f7d4274d864","502":"acb61fa7-b74e-4a3f-b8ec-7e1f6297ef77","504":"c238fb78-a290-440a-922a-201b8da725b1"},"x-speakeasy-name-override":"list","x-speakeasy-group":"buyers.gift-cards","x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.Buyers.GiftCards.List(ctx, operations.ListBuyerGiftCardsRequest{})\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.buyers.giftCards.list();\n\n console.log(result);\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListBuyerGiftCardsRequest;\nimport com.gr4vy.sdk.models.operations.ListBuyerGiftCardsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListBuyerGiftCardsRequest req = ListBuyerGiftCardsRequest.builder()\n .build();\n\n ListBuyerGiftCardsResponse res = sdk.buyers().giftCards().list()\n .request(req)\n .call();\n\n if (res.giftCardSummaries().isPresent()) {\n System.out.println(res.giftCardSummaries().get());\n }\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.buyers.gift_cards.list(order_by=\"desc\")\n\n # Handle response\n print(res)"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListBuyerGiftCardsRequest req = new ListBuyerGiftCardsRequest() {};\n\nvar res = await sdk.Buyers.GiftCards.ListAsync(req);\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$request = new Gr4vy\\ListBuyerGiftCardsRequest();\n\n$response = $sdk->buyers->giftCards->list(\n request: $request\n);\n\nif ($response->giftCardSummaries !== null) {\n // handle response\n}"}],"method":"get","type":"path","servers":["9f4a6fa8-fc45-4e58-88c0-23f9f21f7cab","66dfd3de-e7cf-4e03-a6a2-252823e8cbd2"],"security":["7e911bd1-8d04-43f7-97dc-6d722e7cf979"],"path":"/buyers/gift-cards","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List gift cards for a buyer","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.Buyers.GiftCards.List(ctx, operations.ListBuyerGiftCardsRequest{})\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.buyers.giftCards.list();\n\n console.log(result);\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListBuyerGiftCardsRequest;\nimport com.gr4vy.sdk.models.operations.ListBuyerGiftCardsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListBuyerGiftCardsRequest req = ListBuyerGiftCardsRequest.builder()\n .build();\n\n ListBuyerGiftCardsResponse res = sdk.buyers().giftCards().list()\n .request(req)\n .call();\n\n if (res.giftCardSummaries().isPresent()) {\n System.out.println(res.giftCardSummaries().get());\n }\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.buyers.gift_cards.list(order_by=\"desc\")\n\n # Handle response\n print(res)"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListBuyerGiftCardsRequest req = new ListBuyerGiftCardsRequest() {};\n\nvar res = await sdk.Buyers.GiftCards.ListAsync(req);\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$request = new Gr4vy\\ListBuyerGiftCardsRequest();\n\n$response = $sdk->buyers->giftCards->list(\n request: $request\n);\n\nif ($response->giftCardSummaries !== null) {\n // handle response\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"52b4e869-2718-45ac-968e-43be1ecad83d":{"name":"buyer_external_identifier","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Buyer External Identifier","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Buyer External Identifier","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"0b544819-6449-4d0f-9647-db89716870b0":{"name":"buyer_id","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Buyer Id","format":"uuid","uniqueKey":"oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Buyer Id","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cuuid> | null"}},"88ef5d06-6d26-4fae-8bfd-39a0614b6d1b":{"name":"sort_by","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Sort By","description":"The field to sort the gift cards by.","const":"last_used_at","example":"last_used_at","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"string","title":"Sort By","description":"The field to sort the gift cards by.","const":"usage_count","example":"last_used_at","uniqueKey":"oneOf.1","typeLabel":"string"},{"type":"string","title":"Sort By","description":"The field to sort the gift cards by.","const":"cit_last_used_at","example":"last_used_at","uniqueKey":"oneOf.2","typeLabel":"string"},{"type":"string","title":"Sort By","description":"The field to sort the gift cards by.","const":"cit_usage_count","example":"last_used_at","uniqueKey":"oneOf.3","typeLabel":"string"},{"type":"null","title":"Sort By","description":"The field to sort the gift cards by.","example":"last_used_at","uniqueKey":"oneOf.4","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string · string · string · string · null"},"description":"The field to sort the gift cards by."},"a5d41380-7017-4630-a97e-443af8829fa7":{"name":"order_by","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","description":"The direction to sort the gift cards in.","examples":["desc"],"default":"desc","title":"Order By","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The direction to sort the gift cards in."},"c4ab1975-b1be-4f1d-a885-b52799b3acdc":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"9e065d2f-3138-40bb-a818-f175f2f1c258":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"merchant_account_id":{"type":"string","title":"Merchant Account Id","description":"The ID of the merchant account this buyer belongs to.","examples":["default"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_account_id","typeLabel":"string"},"bin":{"type":"string","title":"Bin","description":"The first 6 digits of the full gift card number.","examples":["412345"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].bin","typeLabel":"string"},"sub_bin":{"type":"string","title":"Sub Bin","description":"The 3 digits after the `bin` of the full gift card number.","examples":["554"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].sub_bin","typeLabel":"string"},"last4":{"type":"string","title":"Last4","description":"The last 4 digits for the gift card.","examples":["1234"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].last4","typeLabel":"string"},"usage_count":{"type":"integer","title":"Usage Count","description":"The number of times this gift card has been used in transactions.","examples":[100],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].usage_count","typeLabel":"integer"},"cit_usage_count":{"type":"integer","title":"Cit Usage Count","description":"The number of times this gift card has been used in transactions for client initiated transactions.","examples":[50],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cit_usage_count","typeLabel":"integer"},"type":{"type":"string","const":"gift-card","title":"Type","description":"Always `gift-card`.","default":"gift-card","examples":["gift-card"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the gift card.","format":"uuid","example":"356d56e5-fe16-42ae-97ee-8d55d846ae2e","uniqueKey":"\\items.items.[INDEX].id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the gift card.","example":"356d56e5-fe16-42ae-97ee-8d55d846ae2e","uniqueKey":"\\items.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid> | null"},"currency":{"oneOf":[{"type":"string","title":"Currency","description":"The ISO-4217 currency code that this gift card has a balance for.","pattern":"^[A-Z]{3}$","example":"AUD","uniqueKey":"\\items.items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Currency","description":"The ISO-4217 currency code that this gift card has a balance for.","example":"AUD","uniqueKey":"\\items.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"string | null"},"expiration_date":{"oneOf":[{"type":"string","title":"Expiration Date","description":" The date and time when this gift card expires. This is a full date/time and may be more accurate than the actual expiry date received by the gift card service.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].expiration_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Expiration Date","description":" The date and time when this gift card expires. This is a full date/time and may be more accurate than the actual expiry date received by the gift card service.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].expiration_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].expiration_date","typeLabel":"string\u003cdate-time> | null"},"balance":{"oneOf":[{"type":"integer","title":"Balance","description":"The amount remaining on the balance for this gift card according to the gift card service. This may be `null` if the balance could not be fetched.","example":1299,"uniqueKey":"\\items.items.[INDEX].balance.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Balance","description":"The amount remaining on the balance for this gift card according to the gift card service. This may be `null` if the balance could not be fetched.","example":1299,"uniqueKey":"\\items.items.[INDEX].balance.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].balance","typeLabel":"integer | null"},"balance_error_code":{"oneOf":[{"type":"string","title":"GiftCardErrorCode","description":"If the last balance update failed, this will contain the internal code for this error.","enum":["invalid_gift_card","expired_card","inactive_card","invalid_service_credentials","invalid_amount","incorrect_currency","insufficient_funds","invalid_service_configuration","operation_canceled","service_error","service_network_error","unknown_error","max_gift_cards_reached","suspected_fraud","canceled_payment_method","duplicate_transaction","unexpected_state"],"x-speakeasy-unknown-values":"allow","example":"incorrect_currency","uniqueKey":"\\items.items.[INDEX].balance_error_code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"If the last balance update failed, this will contain the internal code for this error.","example":"incorrect_currency","uniqueKey":"\\items.items.[INDEX].balance_error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].balance_error_code","typeLabel":"enum\u003cstring> | null"},"balance_raw_error_code":{"oneOf":[{"type":"string","title":"Balance Raw Error Code","description":"If the last balance update failed, this will contain the the raw error code received from the gift card provider.","example":"10363","uniqueKey":"\\items.items.[INDEX].balance_raw_error_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Balance Raw Error Code","description":"If the last balance update failed, this will contain the the raw error code received from the gift card provider.","example":"10363","uniqueKey":"\\items.items.[INDEX].balance_raw_error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].balance_raw_error_code","typeLabel":"string | null"},"balance_raw_error_message":{"oneOf":[{"type":"string","title":"Balance Raw Error Message","description":"If the last balance update failed, this will contain the the raw error message received from the gift card provider.","example":"This currency is not supported by the merchant.","uniqueKey":"\\items.items.[INDEX].balance_raw_error_message.oneOf.0","typeLabel":"string"},{"type":"null","title":"Balance Raw Error Message","description":"If the last balance update failed, this will contain the the raw error message received from the gift card provider.","example":"This currency is not supported by the merchant.","uniqueKey":"\\items.items.[INDEX].balance_raw_error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].balance_raw_error_message","typeLabel":"string | null"},"last_used_at":{"oneOf":[{"type":"string","title":"Last Used At","description":"The timestamp when this gift card was last used in a transaction.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].last_used_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Last Used At","description":"The timestamp when this gift card was last used in a transaction.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].last_used_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].last_used_at","typeLabel":"string\u003cdate-time> | null"},"cit_last_used_at":{"oneOf":[{"type":"string","title":"Cit Last Used At","description":"The timestamp when this gift card was last used in a transaction for client initiated transactions.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].cit_last_used_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Cit Last Used At","description":"The timestamp when this gift card was last used in a transaction for client initiated transactions.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].cit_last_used_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cit_last_used_at","typeLabel":"string\u003cdate-time> | null"}},"additionalProperties":false,"type":"object","required":["merchant_account_id","bin","sub_bin","last4","usage_count","cit_usage_count"],"title":"GiftCardSummary","uniqueKey":"\\items.items.[INDEX]","typeLabel":"GiftCardSummary · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"GiftCardSummary · object[]"}},"type":"object","required":["items"],"title":"GiftCardSummaries","uniqueKey":"","typeLabel":"GiftCardSummaries · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"merchant_account_id":"default","bin":"412345","sub_bin":"554","last4":"1234","usage_count":100,"cit_usage_count":50,"type":"gift-card","id":"356d56e5-fe16-42ae-97ee-8d55d846ae2e","currency":"AUD","expiration_date":"2013-07-16T19:23:00.000+00:00","balance":1299,"balance_error_code":"incorrect_currency","balance_raw_error_code":"10363","balance_raw_error_message":"This currency is not supported by the merchant.","last_used_at":"2013-07-16T19:23:00.000+00:00","cit_last_used_at":"2013-07-16T19:23:00.000+00:00"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"72b779a3-8917-43ef-9a8e-e40855a2d031":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"d8105a7e-586f-4920-b045-43270550d794":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"14a9a11b-d77a-4096-b944-a2d24d298a57":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"69f84a17-2922-46c6-aca3-c7dedbe48868":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"09e28061-caf7-44d8-b85e-0937665d5a18":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"b9503739-eb81-4d4a-a268-16bf9221c2fe":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"2d3ff73a-7e8c-4308-93c7-4e3319124e4a":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"d9229448-7a06-48d3-949b-7a3b5fd4d0e4":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"cd3089a9-bae1-4e0d-b200-c4563804d7c4":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"9df162ea-1aa8-4267-ab22-5f7d4274d864":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"acb61fa7-b74e-4a3f-b8ec-7e1f6297ef77":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"c238fb78-a290-440a-922a-201b8da725b1":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7e911bd1-8d04-43f7-97dc-6d722e7cf979":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"9f4a6fa8-fc45-4e58-88c0-23f9f21f7cab":{"url":"https://api.sandbox.{id}.gr4vy.app","x-speakeasy-server-id":"sandbox","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}},"66dfd3de-e7cf-4e03-a6a2-252823e8cbd2":{"url":"https://api.{id}.gr4vy.app","x-speakeasy-server-id":"production","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"gr4vy","siteName":"Gr4vy","title":"List gift cards for a buyer - Gr4vy","contextualStarterQuestions":[{"_id":"6a3c1e319ed1cacf1118267c","deploymentId":"63c0bd5bf8f994a28c87300e","questionText":"What scope do I need?","status":"active","generatedBy":"contextual","path":"reference/gift-cards/list-buyer-gift-cards","createdAt":"2026-06-24T18:13:05.808Z","updatedAt":"2026-06-24T18:13:05.808Z","__v":0},{"_id":"6a3c1e319ed1cacf1118267d","deploymentId":"63c0bd5bf8f994a28c87300e","questionText":"How to retrieve stored gift cards?","status":"active","generatedBy":"contextual","path":"reference/gift-cards/list-buyer-gift-cards","createdAt":"2026-06-24T18:13:05.808Z","updatedAt":"2026-06-24T18:13:05.808Z","__v":0},{"_id":"6a3c1e319ed1cacf1118267b","deploymentId":"63c0bd5bf8f994a28c87300e","questionText":"How do I list buyer gift cards?","status":"active","generatedBy":"contextual","path":"reference/gift-cards/list-buyer-gift-cards","createdAt":"2026-06-24T18:13:05.808Z","updatedAt":"2026-06-24T18:13:05.808Z","__v":0}],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-24T18:12:02.795Z","originalFileLocation":"reference/gift-cards/list-buyer-gift-cards.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List all the stored gift cards for a specific buyer.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List gift cards for a buyer - Gr4vy\">\u003cmeta data-mint-head property=\"og:description\" content=\"List all the stored gift cards for a specific buyer.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Gr4vy\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://gr4vy.mintlify.app/_mintlify/api/og/v2?division=Gift+cards\u0026amp;title=List+gift+cards+for+a+buyer\u0026amp;description=List+all+the+stored+gift+cards+for+a+specific+buyer.\u0026amp;theme=72918d66eec1da101f81f960\u0026amp;signature=17ff3c9f4fbfeb463f94b9863b6fe3efe9b55b1f0e4ce039984211e831be6de1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List gift cards for a buyer - Gr4vy\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List all the stored gift cards for a specific buyer.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://gr4vy.mintlify.app/_mintlify/api/og/v2?division=Gift+cards\u0026amp;title=List+gift+cards+for+a+buyer\u0026amp;description=List+all+the+stored+gift+cards+for+a+specific+buyer.\u0026amp;theme=72918d66eec1da101f81f960\u0026amp;signature=17ff3c9f4fbfeb463f94b9863b6fe3efe9b55b1f0e4ce039984211e831be6de1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/gr4vy/HaWUNXIn4AIDgtOX/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0069ED\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/gift-cards/list-buyer-gift-cards.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gr4vy.com/#organization\",\"name\":\"Gr4vy\",\"url\":\"https://docs.gr4vy.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/gr4vy/C-VHOwze1nsWvoIJ/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=C-VHOwze1nsWvoIJ\u0026q=85\u0026s=da88f997af34e79b3e79f3709aae9644\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gr4vy.com#website\",\"name\":\"Gr4vy\",\"url\":\"https://docs.gr4vy.com\",\"publisher\":{\"@id\":\"https://docs.gr4vy.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards#webpage\",\"url\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards\",\"name\":\"List gift cards for a buyer\",\"description\":\"List all the stored gift cards for a specific buyer.\",\"dateModified\":\"2026-06-24T18:12:02.795Z\",\"isPartOf\":{\"@id\":\"https://docs.gr4vy.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Instruments\",\"item\":\"https://docs.gr4vy.com/reference/card-schemes/list-card-scheme-definitions\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List gift cards for a buyer\",\"item\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards#apireference\",\"headline\":\"List gift cards for a buyer\",\"name\":\"List gift cards for a buyer\",\"description\":\"List all the stored gift cards for a specific buyer.\",\"url\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gr4vy.com/reference/gift-cards/list-buyer-gift-cards#webpage\"},\"dateModified\":\"2026-06-24T18:12:02.795Z\",\"publisher\":{\"@id\":\"https://docs.gr4vy.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gr4vy.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Gr4vy\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Gr4vy","nav":{"global":null,"tabs":[{"tab":"Build","icon":"credit-card","pages":[{"title":"Build","href":"/guides/get-started"}]},{"tab":"Dashboard","icon":"circle-user","pages":[{"title":"Dashboard","href":"/guides/dashboard/overview"}]},{"tab":"Connections","icon":{"style":"light","name":"circle-nodes"},"pages":[{"title":"Connections","href":"/connections/payments/overview"}]},{"tab":"Custom Connectors","icon":"plug","hidden":true,"pages":[{"title":"Custom Connectors","href":"/guides/features/custom-connectors/overview"}]},{"tab":"Connector Requirements","icon":"clipboard-check","hidden":true,"pages":[{"title":"Connector Requirements","href":"/partners/connector-requirements/overview"}]},{"tab":"External Apps","icon":"puzzle-piece","hidden":true,"pages":[{"title":"External Apps","href":"/partners/external-apps"}]},{"tab":"API Reference","icon":{"style":"light","name":"square-terminal"},"groups":[{"group":"Introduction","icon":"compass","pages":[{"title":"Authentication","mode":"wide","href":"/guides/api/authentication"},{"title":"Managing API keys","sidebarTitle":"API keys","mode":"wide","href":"/guides/api/api-keys"},{"title":"API Compatibility","sidebarTitle":"Compatibility","href":"/guides/api/compatibility"},{"title":"Connectivity and TLS","sidebarTitle":"Connectivity","href":"/guides/api/connectivity"},{"sidebarTitle":"JWTs","title":"Authentication with JWTs","href":"/guides/api/jwts"},{"title":"Environments","href":"/guides/api/environments"},{"title":"Error handling","sidebarTitle":"Errors","mode":"wide","href":"/guides/api/errors"},{"title":"Idempotent requests","href":"/guides/api/idempotent-requests"},{"title":"IP address forwarding","href":"/guides/api/ip-address-forwarding"},{"title":"OpenAPI 3.1.0 Specification","sidebarTitle":"OpenAPI","href":"/guides/api/openapi"},{"title":"Pagination","href":"/guides/api/pagination"},{"sidebarTitle":"Prefer header","title":"Prefer header","href":"/guides/api/prefer-header"},{"title":"Rate limiting","href":"/guides/api/rate-limiting"},{"sidebarTitle":"Timeouts","title":"Handling transaction timeout","mode":"wide","href":"/guides/timeouts"},{"title":"Transaction error codes","sidebarTitle":"Error Codes","mode":"wide","href":"/guides/api/error-codes"}]},{"group":"Transactions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions","title":"List transactions","href":"/reference/transactions/list-transactions"},{"openapi":"openapi.speakeasy.json POST /transactions","title":"Create transaction","href":"/reference/transactions/new-transaction"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}","title":"Get transaction","href":"/reference/transactions/get-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/capture","title":"Capture transaction","href":"/reference/transactions/capture-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/void","title":"Void transaction","href":"/reference/transactions/void-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/authorization/increment","title":"Increment transaction authorization","href":"/reference/transactions/increment-transaction-authorization"},{"group":"Captures","pages":[{"sidebarTitle":"List captures","title":"List transaction captures","openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/captures","href":"/reference/transactions/list-transaction-captures"},{"sidebarTitle":"Get capture","title":"Get capture","openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/captures/{capture_id}","href":"/reference/transactions/get-transaction-capture"}]},{"group":"More actions","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/events","title":"List transaction events","href":"/reference/transactions/list-transaction-events"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/actions","title":"List transaction Flow rules","href":"/reference/transactions/list-transaction-actions"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/sync","title":"Sync transaction","href":"/reference/transactions/sync-transaction"},{"title":"Update a transaction","openapi":"openapi.speakeasy.json PUT /transactions/{transaction_id}","href":"/reference/transactions/update-transaction"},{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/cancel","href":"/reference/transactions/cancel-transaction"},{"title":"Get or update transaction session","sidebarTitle":"Get session","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/session","href":"/reference/transactions/get-transaction-session"}]}]},{"group":"Buyers","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /buyers","title":"List all buyers","href":"/reference/buyers/list-buyers"},{"openapi":"openapi.speakeasy.json POST /buyers","title":"Add a buyer","href":"/reference/buyers/new-buyer"},{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}","title":"Get a buyer","href":"/reference/buyers/get-buyer"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}","title":"Update a buyer","href":"/reference/buyers/update-buyer"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}","title":"Delete a buyer","href":"/reference/buyers/delete-buyer"},{"group":"Shipping details","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}/shipping-details","title":"List a buyer's shipping details","href":"/reference/buyers/get-buyer-shipping-details"},{"openapi":"openapi.speakeasy.json POST /buyers/{buyer_id}/shipping-details","title":"Add buyer shipping details","href":"/reference/buyers/new-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Update a buyer's shipping details","href":"/reference/buyers/update-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Delete a buyer's shipping details","href":"/reference/buyers/delete-buyer-shipping-detail"}]}]},{"group":"Checkout Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /checkout/sessions","title":"Create checkout session","href":"/reference/checkout-sessions/new-checkout-session"},{"openapi":"openapi.speakeasy.json GET /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/get-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/update-checkout-session"},{"openapi":"openapi.speakeasy.json DELETE /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/delete-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}/fields","sidebarTitle":"Update session fields","title":null,"href":"/reference/checkout-sessions/update-checkout-session-fields"}]},{"group":"Payment links","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /payment-links","title":"List all payment links","href":"/reference/payment-links/list-payment-links"},{"openapi":"openapi.speakeasy.json POST /payment-links","title":"Add a payment link","href":"/reference/payment-links/new-payment-link"},{"openapi":"openapi.speakeasy.json GET /payment-links/{payment_link_id}","title":"Get payment link","href":"/reference/payment-links/get-payment-link"},{"openapi":"openapi.speakeasy.json POST /payment-links/{payment_link_id}/expire","title":"Expire a payment link","href":"/reference/payment-links/expire-payment-link"}]},{"group":"Payment options","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-options","title":"List payment options","href":"/reference/payment-options/list-payment-options"}]},{"group":"Payouts","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /payouts","title":"List payouts created","href":"/reference/payouts/list-payouts"},{"openapi":"openapi.speakeasy.json POST /payouts","title":"Create a payout","href":"/reference/payouts/new-payout"},{"openapi":"openapi.speakeasy.json GET /payouts/{payout_id}","title":"Get a payout","href":"/reference/payouts/get-payout"}]},{"group":"Refunds","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","href":"/reference/transactions/list-transaction-refunds"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds","title":"Create transaction refund","href":"/reference/transactions/refund-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds/all","sidebarTitle":"Refund all instruments","title":"Create batch transaction refund","href":"/reference/transactions/refund-all"},{"sidebarTitle":"Get refund","title":"Get refund","openapi":"openapi.speakeasy.json GET /refunds/{refund_id}","href":"/reference/transactions/get-refund"}]},{"group":"Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-service-definitions/{payment_service_definition_id}/sessions","sidebarTitle":"Get session","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session"},{"openapi":"openapi.speakeasy.json POST /payment-services/{payment_service_id}/sessions","sidebarTitle":"Get session by ID","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session-by-id"}]},{"group":"Settlement records","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/settlements","sidebarTitle":"List settlement records","title":"List transaction settlements","href":"/reference/settlements/list-settlements"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/settlements/{settlement_id}","sidebarTitle":"Get settlement record","title":"Get transaction settlement","href":"/reference/settlements/get-settlement"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refund-settlements","sidebarTitle":"List refund settlement records","title":"List transaction refund settlements","href":"/reference/settlements/list-refund-settlements"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refund-settlements/{settlement_id}","sidebarTitle":"Get refund settlement record","title":"Get transaction refund settlement","href":"/reference/settlements/get-refund-settlement"}]},{"group":"Disputes","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/chargebacks","sidebarTitle":"List chargeback records","title":"List transaction chargebacks","href":"/reference/disputes/list-chargebacks"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/chargeback-reversals","sidebarTitle":"List chargeback reversal records","title":"List transaction chargeback reversals","href":"/reference/disputes/list-chargeback-reversals"}]},{"group":"Instruments","icon":"code","pages":[{"group":"Card schemes","pages":[{"openapi":"openapi.speakeasy.json GET /card-scheme-definitions","title":"List card scheme definitions","href":"/reference/card-schemes/list-card-scheme-definitions"}]},{"group":"Card details","pages":[{"openapi":"openapi.speakeasy.json GET /card-details","title":"Get card details","href":"/reference/card-details/get-card-details"}]},{"group":"Digital wallets","pages":[{"openapi":"openapi.speakeasy.json POST /digital-wallets/apple/session","title":"Create a Apple Pay session","href":"/reference/digital-wallets/get-apple-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/google/session","title":"Create a Google Pay session","href":"/reference/digital-wallets/get-google-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/click-to-pay/session","title":"Create a Click to Pay session","description":"Create a session for use with Click to Pay.","href":"/reference/digital-wallets/get-click-to-pay-session"}]},{"group":"Gift cards","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/gift-cards","title":"List gift cards for a buyer","href":"/reference/gift-cards/list-buyer-gift-cards"},{"openapi":"openapi.speakeasy.json GET /gift-cards","title":"List gift cards","description":"Browser all gift cards.","href":"/reference/gift-cards/list-gift-cards"},{"openapi":"openapi.speakeasy.json POST /gift-cards/balances","title":"Verify and get gift card balances","sidebarTitle":"Verify \u0026 get balance","href":"/reference/gift-cards/list-gift-card-balances"},{"openapi":"openapi.speakeasy.json POST /gift-cards","title":"Create gift card","href":"/reference/gift-cards/new-gift-card"},{"openapi":"openapi.speakeasy.json GET /gift-cards/{gift_card_id}","title":"Get gift card","href":"/reference/gift-cards/get-gift-card"},{"openapi":"openapi.speakeasy.json DELETE /gift-cards/{gift_card_id}","title":"Delete a gift card","href":"/reference/gift-cards/delete-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/issuances","title":"Issue a gift card","href":"/reference/gift-cards/issue-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/activations","title":"Activate a gift card","href":"/reference/gift-cards/activate-gift-card"}]},{"group":"Payment methods","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/payment-methods","title":"List payment methods for a buyer","href":"/reference/payment-methods/list-buyer-payment-methods"},{"openapi":"openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","href":"/reference/payment-methods/list-payment-methods"},{"openapi":"openapi.speakeasy.json POST /payment-methods","title":"Create payment method","href":"/reference/payment-methods/new-payment-method"},{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}","title":"Get payment method","href":"/reference/payment-methods/get-payment-method"},{"openapi":"openapi.speakeasy.json PUT /payment-methods/{payment_method_id}","title":"Update payment method","href":"/reference/payment-methods/update-payment-method"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}","title":"Delete payment method","href":"/reference/payment-methods/delete-payment-method"}]},{"group":"Payment method definitions","pages":[{"openapi":"openapi.speakeasy.json GET /payment-method-definitions","title":"List payment method definitions","href":"/reference/payment-method-definitions/list-payment-method-definitions"}]}]},{"group":"Vault","icon":"code","pages":[{"group":"Account updater","pages":[{"openapi":"openapi.speakeasy.json POST /account-updater/jobs","sidebarTitle":"Create a job","title":"Create account updater job","href":"/reference/account-updater/new-account-updater-job"}]},{"group":"Network tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/network-tokens","title":"List network tokens","href":"/reference/network-tokens/list-network-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens","title":"Provision network token","href":"/reference/network-tokens/provision-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/cryptogram","title":"Provision network token cryptogram","href":"/reference/network-tokens/get-network-token-cryptogram"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/suspend","title":"Suspend network token","href":"/reference/network-tokens/suspend-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/resume","title":"Resume network token","href":"/reference/network-tokens/resume-network-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/network-tokens/{network_token_id}","title":"Delete network token","href":"/reference/network-tokens/delete-network-token"}]},{"group":"Payment service tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","href":"/reference/payment-service-tokens/list-payment-service-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/payment-service-tokens","title":"Create payment service token","href":"/reference/payment-service-tokens/provision-payment-service-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/payment-service-tokens/{payment_service_token_id}","title":"Delete payment service token","href":"/reference/payment-service-tokens/delete-payment-service-token"}]},{"group":"Vault Forward","pages":[{"openapi":"openapi.v1.json POST /vault-forward","title":"Forward PCI data","href":"/reference/vault-forwarding/make-vault-forward"}]},{"group":"Vault Forward endpoints","pages":[{"openapi":"openapi.v1.json GET /vault-forward/configs","sidebarTitle":"List endpoints","title":"List configured Vault Forward endpoints","href":"/reference/vault-forwarding/list-vault-forward-configs"},{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}","sidebarTitle":"Get endpoint","title":"Get configured Vault Forward endpoints","href":"/reference/vault-forwarding/get-vault-forward-config"}]},{"group":"Vault Forward authentication","pages":[{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Get authentications","title":"List configured Vault Forward authentication methods","href":"/reference/vault-forwarding/list-vault-forward-authentications"},{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Get authentication","title":"Get Vault Forward authentication method","href":"/reference/vault-forwarding/get-vault-forward-authentication"},{"openapi":"openapi.v1.json POST /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Add authentication","title":"Adds new Vault Forward authentication method","href":"/reference/vault-forwarding/add-vault-forward-authentication"},{"openapi":"openapi.v1.json PUT /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Update authentication","title":"Update Vault Forward authentication method","href":"/reference/vault-forwarding/update-vault-forward-authentication"},{"openapi":"openapi.v1.json DELETE /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Remove authentication","title":"Remove a Vault Forward authentication method","href":"/reference/vault-forwarding/delete-vault-forward-authentication"}]}]},{"group":"PSPs \u0026 Gateways","icon":"code","pages":[{"group":"All services","pages":[{"openapi":"openapi.v1.json GET /connections","title":"List connections","href":"/reference/connections/list-connections"},{"openapi":"openapi.speakeasy.json GET /connection-definitions","title":null,"href":"/reference/connections/list-connection-definitions"}]},{"group":"Payment services","pages":[{"openapi":"openapi.speakeasy.json GET /payment-service-definitions/{payment_service_definition_id}","sidebarTitle":"Get service definition","title":"Get a payment service definition","href":"/reference/payment-service-definitions/get-payment-service-definition"},{"openapi":"openapi.speakeasy.json GET /payment-services","title":"List payment services","href":"/reference/payment-services/list-payment-services"},{"openapi":"openapi.speakeasy.json POST /payment-services","title":"Configure a payment service","href":"/reference/payment-services/new-payment-service"},{"openapi":"openapi.speakeasy.json GET /payment-services/{payment_service_id}","title"
[...]
